/****************************************************************************/
/**
* \file i2c_rtc_control_operation.h
*
* \brief Contains the process flow for the I2C I/O of the several
*        data transmission tasks for rtc_control.
*
* \author   Michael Skutek
* \date	    22.02.2013
* \version  0.2
*
* Platform:    AVR ATmega (tested on ATmega168)
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this program. If not, see
* <http://www.gnu.org/licenses/>.
*
****************************************************************************/


#ifndef I2C_RTC_CONTROL_OPERATION_H_INCLUDED
#define I2C_RTC_CONTROL_OPERATION_H_INCLUDED


/******************************************
	\internal
	General definitions
*******************************************/

#define DS1307_I2C_ADRESS             0xd0          //!< I2C address of DS1307+ chip (including write bit)


#define LED_DISPLAY_NUMBER_DIGITS        6


/******************************************
	\internal
	Function prototypes
*******************************************/

void rtc_setup_ds1307(uint8_t*);
void rtc_setup_saa1064(uint8_t*);
void rtc_show_time_saa1064(uint8_t, uint8_t, uint8_t, uint8_t, uint8_t);
void rtc_show_date_saa1064(uint8_t, uint8_t, uint16_t, uint8_t, uint8_t, uint8_t, uint8_t);



#endif // I2C_RTC_CONTROL_OPERATION_H_INCLUDED
